using Exam.Infrastructure.Data.Interface;
using Exam.Infrastructure.Extensions;
using Hotline.Share.Enums.Exams;
using System.ComponentModel;

namespace Exam.Share.ViewResponses.TestPaper
{
    public class TestPaperViewResponse:IViewResponse
    {
        /// <summary>
        /// 试卷标题
        /// </summary>
        [Description("试卷标题")]
        public string Name { get; set; }

        /// <summary>
        /// 试卷编号
        /// </summary>
        [Description("试卷编号")]
        public string Code { get; set; }

        /// <summary>
        /// 考试类型
        /// </summary>
        [Description("考试类型")]
        public EExamType ExamType { get; set; }

        /// <summary>
        /// 组卷方式
        /// </summary>
        [Description("组卷方式")]
        public EExamMode Mode { get; set; }

        /// <summary>
        /// 考试类型
        /// </summary>
        [Description("考试类型")]
        public string ExamTypeDes
        {
            get
            {
                return ExamType.GetDescription();
            }
        }

        /// <summary>
        /// 组卷方式
        /// </summary>
        [Description("组卷方式")]
        public string ModeDes
        {
            get
            {
                return Mode.GetDescription();
            }
        }
        /// <summary>
        /// 备注
        /// </summary>
        [Description("备注")]
        public string Remark { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        [Description("状态")]
        public EPublicStatus Status { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [Description("排序")]
        public int SortIndex { get; set; }

        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]

        public string Id { get; set; }
    }
}
